bptbl_seg_s Struct Reference

Segmentation "iterator" for backpointer table results. More...

`#include <ngram_search.h>`

## Data Fields

ps_seg_t | base
| Base structure.
int32 * | bpidx
| Sequence of backpointer IDs.
int16 | n_bpidx
| Number of backpointer IDs.
int16 | cur
| Current position in bpidx.

## Detailed Description

Segmentation "iterator" for backpointer table results.

Definition at line 126 of file ngram_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ngram_search.h